ReplacementNode (Groovy 2.4.14)
Date: 2018-02-24

groovy.util.slurpersupport

## Class ReplacementNode

- java.lang.Object
- - groovy.util.slurpersupport.ReplacementNode

- All Implemented Interfaces:
    Buildable, Writable

      public abstract class ReplacementNode
      extends java.lang.Object
      implements Buildable, Writable

  Helper base class used for lazy updates.
  Author:
    John Wilson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplacementNode()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(GroovyObject builder)`
    `abstract void` | `build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)`
    `java.io.Writer` | `writeTo(java.io.Writer out)` NOP

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplacementNode

          public ReplacementNode()

  - ### Method Detail

    - #### build

          public abstract void build(GroovyObject builder,
                                     java.util.Map namespaceMap,
                                     java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)

    - #### build

          public void build(GroovyObject builder)

      Specified by:
        `build` in interface `Buildable`

    - #### writeTo

          public java.io.Writer writeTo(java.io.Writer out)
                                 throws java.io.IOException

      NOP
      Specified by:
        `writeTo` in interface `Writable`
      Parameters:
        `out` - the Writer to which this Writable should output its data.
      Returns:
        the Writer that was passed
      Throws:
        `java.io.IOException` - if an error occurred while outputting data to the writer